<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

/**
 * 
 * Folder path to be flushed.
 * 
 */

$folder_path = "../../INSTALL";

/**
 * 
 * List name of files inside
 * specified folder.
 * 
 */

$files = glob($folder_path . '/*');

/**
 * 
 * Deleting all the files in the list.
 * 
 */

foreach ($files as $file) {

if (is_file($file))

/**
 * 
 * Delete the given file.
 * 
 */
 
unlink($file); }

require_once 'header.php'; ?>

<style>
p {
font-size: 18px;
}
</style>

<div style="text-align:center;width:100%;" class="wrapper spacer">

<header>
<h1 class="white"><?= _WELCOME ?></h1>
<h2 class="white"><?= _COMPLETE ?></h2>
</header>

<br>

<section>
<p class="center"><?= _CONGRATULATIONS ?></p>
<p class="center"><?= _CONTENTS ?></p>
<p class="center"><?= _REFERENCE ?></p>
<p class="center"><a href="../../sys/" class="button" style="text-decoration:none;"><span style="color:white"><?= _LOGIN ?></span></a></p>
</section>