<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title>Enter Database Credentials</title>
<link rel="stylesheet" href="style.css" />
</head>
<body>

<?php $errors = "";
if (isset($_POST["submit"])) {
if (empty($_POST['servername'])) {
echo "<p class='center card white'>Enter server name</p>";
$errors++;

} else {

$servername = $_POST['servername']; }

if (empty($_POST['username'])) {
echo "<p class='center card white'>Enter username</p>";
$errors++;

} else {

$username = $_POST['username']; }

if (empty($_POST['password'])) {
echo "<p class='center card white'>Enter password</p>";
@$errors++;

} else {

$password = $_POST['password']; }

if (empty($_POST['dbname'])) {
echo "<p class='center card white'>Enter database name</p>";
$errors++;

} else {

$dbname = $_POST['dbname']; }

if ($errors <= 0) { // no errors

$string = '<?php 
$host = "' . $servername . '";
$username = "' . $username. '";
$password = "' . $password . '";
$db = "' . $dbname . '";
';

$fp = fopen("../builders/credentials.php", "w");
if (fwrite($fp, $string)) {

echo "<p style='text-align:center'>Credentials Updated</p>";
echo "<script> window.location.replace('populate.php') </script>"; }

fclose($fp); }} ?>
<br>

<table class="left spacer wrapper">

<form name="form" method="POST" action="">

<tr><td colspan="2" class="center">
<h1 class="center">Enter Database Credentials</h1>
<br>
</tr>

<tr><td class="right">
<p>Server name:</p>
</td>
<td>
<section>
<input type="text" name="servername" value="">
<br>(usually localhost)
</section>
</td></tr>

<tr><td class="right">
<p>Username:</p>
</td>
<td>
<section>
<input type="text" name="username" value="" >
</section>
</td></tr>

<tr><td class="right">
<p>Password:</p>
</td>
<td>
<section>
<input type="password" name="password" value="" id="myInput">
<br><input type="checkbox" onclick="myFunction()">Show Password
</>
</td></tr>

<tr><td class="right">
<p>Database Name:</p>
</td>
<td>
<section>
<input type="text" name="dbname" value="" >
</section>
</td></tr>

<tr><td colspan="2" class="center">
<section class="button">
<input type="submit" value="Write Credentials" class="center" name="submit">
</section>

</td></tr>

</form>

<script>
function myFunction() {
var x = document.getElementById("myInput");
if (x.type === "password") {
x.type = "text";
} else {
x.type = "password"; }}
</script>

</table>

</body>
</html>
