<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */ ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title>Create Database Connection</title>
<link rel="stylesheet" href="style.css" />
</head>
<body>

<div class="radius spacer top" style="height:700px; width:100%; border:0;">

<div class="radius spacer wrapper">	

<div class="">

<h1 class="center">Create Database</h1>

<section>
<p class="center"><img src="createdb.png" style="width:150px" alt="" /></p>
</section>

<section>
<p><b>IMPORTANT: Each time you run the installer it deletes and re-populates all tables.</b></p>
<p>To get started you will need to create your MySQL database.</p>
<p>Go to your host Control Panel. Using the Database Creation Wizard, create a new database. Give yourself All Permissions.</p>
<p>If using phpMyAdmin and need help <a href="http://webvaultwiki.com.au/Create-Mysql-Database-User-Phpmyadmin.ashx" target="_blank">go here to learn how to create a database and how to give yourself All Permissions.</a></p>
</section>

<section class="button">
<p class="center"><a href="setup.php" style="text-decoration:none"><span class="white">Continue With Install</span></a></p>
</section>

</div>

</body>
</html>