<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title>SPECTRA Installation</title>
<link rel="stylesheet" href="style.css" />
</head>
<body>

<div class="wrapper">

<p class="center"><strong>Extension Checker</strong></p>

<div class="mini-container left">

<?php $version = phpversion();

echo "<p class='center'>The server is set to PHP version: <b>$version</b></p>";
echo '<p class="center">Server Name: <b>'. $_SERVER['SERVER_NAME'];
echo '</b></p><hr />';

if (extension_loaded('gd') && function_exists('gd_info')) {
    echo "<p>* The 'GD' library extension <u>IS</u> installed for<br> PHP version: $version.</p>";
}
else {
    echo "<p><strong>* The 'GD' library is <u>NOT</u> installed for PHP version: $version;.<br>You will need this extension if you plan to use Spectra Gallery.</strong></p>";
}

if (extension_loaded('zip')) {
    echo "<p>* The 'zip' archive extension <u>IS</u> installed for <br> PHP version: $version.</p>";
}
else {
    
    echo "<strong><p>* The 'zip' archive extension is <u>NOT</u> installed for PHP version $version and is required to use the website backup utility. If this is a local install then it is not needed.</strong></p>";
}

if (extension_loaded('mysqli') && function_exists('mysqli_info')) {
    echo "<p>* The 'MySQLi' library extension <u>IS</u> installed for <br> PHP version: $version.</p>";
}
else {
    
    echo "<strong><p>* The 'MySQLi' library extension is <u>NOT</u> installed for PHP version $version.<br>Spectra will not run if this extension is not installed and the installation cannot continue.</p>";
}

?>

</div>

<br>

<p class="center"><a href="phprelated.php" target="_blank">See all PHP related information</a></p>

<br>

<p class="center"><strong>All PHP Extensions Installed On The Server</strong></p>

<div class="mini-container left" style="height:450px; overflow-y:auto;">

<p class="left">

<?php 
      echo "<pre>";
      print_r(get_loaded_extensions());
      echo "<pre />";
 ?>
</p>

</div></div>

<?php if (extension_loaded('mysqli')) { ?>

<section class="button">
<p class="center"><a href="createdbinfo.php" style="text-decoration:none"><span class="white">Continue With Install</span></a></p>
</section>

<?php } else { ?>

<section>
<p class="center"><strong>Installation Cannot Continue.<br>The 'MySQLi' extension <u>is not</u> installed on your server.</strong></p>
</section>

<?php } ?>