<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once 'version.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title>SPECTRA Installation</title>
<link rel="stylesheet" href="core/INSTALL/style.css" />
</head>
<body style="background: url('core/INSTALL/bg2.jpg'); background-attachment:fixed; background-size:cover;">

<div class="mini-container">

<div class="row">
<div class="column2 column-back radius">

<header class="top spacer">
<div class="nautigal">Spectra</div>
<img src="media/themes/spectra-logo.png" alt="" />
<h3 class="center white"><strong>Content Management System (CMS)</strong></h3>
<p>&nbsp;</p>
<p class="justify white">Spectra has been designed to make building and maintaining your website easy.
<br><br>
Once you have installed Spectra you will be able to do everything that is required to build a complete website from inside the dashboard.</p>

<ul class="left white">Includes tools To:
    <li> Backup/optimize/restore the database.</li>
    <li> Backup all files.</li>
    <li> Import/export themes.</li>
    <li> Theme builder/editor.</li>
    <li> Spectra version updater.</li>
    <li> Complete user account management.</li>
    <li> Rich content management editor.</li>
    <li> Image/media upload and editing.</li>
</ul>

<p>&nbsp;</p>

<a href="../../README.html" target="_blank" class="button">README File</a>

</header>

<br>
<br>

</div>
<div class="column2">

<iframe src="core/INSTALL/intro.php" class="radius" style="height:900px; width:100%; border:0;"></iframe>

</div>
</div>
<?php require_once 'footer.php'; ?>
</div>