<?php require_once 'version.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title>SPECTRA Installation</title>
<link rel="stylesheet" href="style.css" />
</head>
<body>

<div class="wrapper">

<section>
<h1 class="center">Thank you for using Spectra</h1><br>
<p class="center">Always Download Spectra From The Source<br><br><a href="https://www.coders-junction.com/core/downloads/" target="_blank" class="button" style="text-decoration:none"><span class="white">Download</span></a></p>
<br>
</section>

<section>
<?php $php_version = phpversion();
echo '<p class="center">Spectra is compatable with PHP version ' . $current_php_version  . '. Your system is using PHP version <u>';
print $php_version; ?></u></p>

<br>

<?php if (phpversion() > $current_php_version) { ?>
<div class="center spacer radius" style="background:#BD4E54"><p class="white">Spectra has not been tested on the PHP version you have set. Your system PHP version may cause errors in some parts of Spectra as PHP is continually evolving.</p></div>

<?php } else { ?>

<div class="center radius spacer" style="background:#BD4E54">
<p class="white">Spectra will run on your system.
<br><br>
This will install Spectra version <?= $version ?>.</p>
</div>
<?php } ?>
</section>

<section>
<p class="justify">*NOTICE: Although Spectra has been tested extensively there is still a possibility that you may run into a problem that I haven't encountered as the designer. I request that if you do run into errors, that you report them to <a href="mailto:admin@papamikescreations.org">SUPPORT</a> so I can fix any.<br><br>Please read the <a href="..//README files/GNU-License.txt" target="_blank">GNU-License text file</a> which is included in this package.<br><br><strong>By clicking &quot;<u>Continue With Install</u>&quot; you are agreeing to use this software at your own risk!</strong></p>
</section> 

<br>
<br>


<section class="button">
<?php if (phpversion() >= '$current_php_version') { ?>
<p class="center"><a href="phpcheck.php" style="text-decoration:none"><span class="white">Continue With Install</span></a></p>
<?php } else {
echo '<p class="center spacer" style="background:#ccc">Cannot continue. Please use another version of PHP that is equal to or less than ' . $php_version . '</p>';
} ?>
</section>

<br>
<br>
<br>
<br>

</body>
</html>
