<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */
?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title>Populate The Database</title>
<link rel="stylesheet" href="style.css" />
</head>
<body>

<div class="radius wrapper spacer">

<style>
* {
margin: 0;
padding: 0;
}

.loader {
display: none;
top: 50%;
left: 50%;
position: absolute;
transform: translate(-50%, -50%);
}

.loading {
border: 2px solid #ccc;
width: 60px;
height: 60px;
border-radius: 50%;
border-top-color: #1ecd97;
border-left-color: #1ecd97;
animation: spin 1s infinite ease-in;
}

@keyframes spin {
0% {
transform: rotate(0deg);
}

100% {
transform: rotate(360deg); }}
</style>

<div style="padding-top:3%"></div>

<p class="center card white spacer">Credentials Were Written</p>
<br>

<div class="radius">
<header>
<h1 class="center">Populate The Database</h1>
</header>
<br><br>
<p style="text-align:center"><img src="populate.png" style="width:150px" alt="" /></p>
<br><br>
<section>
<h3 class="center">The next step will check your credentials against the database and if successful, populate the database.</h3>
</section>
<br>
<section class="button">
<div style="text-align:center">
<form action="install.php" method="post">
<button type="submit" onclick="spinner()" style="cursor:pointer">Continue</button>
<div class="loader">
<div class="loading">
</div>
</div>

</form>
</div>
</section>

<section>
<p class="center">(For Online Install) If a white screen is shown come back here using your browsers back button and access the errors page. If this is a local install the error will show in this window.</p>
<br><br>
<p class="center"><a href="errorcheck.php" class="button">Check Errors</a></p>
</section>

</div>

<script type="text/javascript">
function spinner() {
document.getElementsByClassName("loader")[0].style.display = "block"; }
</script>