<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once '../builders/config.php';

$sql = "SELECT * FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$lang = $row['lang'];
$subdomain = $row['subdomain'];
$Subdomain_name = $row['Subdomain_name']; }}
require_once '../lang/' . $lang . '.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title>Successful</title>
<link rel="stylesheet" href="style.css" />
</head>
<body>
<div class="radius wrapper spacer">
<br>
<section>
<p class="center"><?= _SUBDOMAIN ?> <?= $subdomain ?></p>
<br>
<?php if ($subdomain == 'Yes') { ?>
<p class="center"><?= _SUBDOMAINNAME ?> <?= $Subdomain_name ?></p>
<?php } ?>
<p class="center"><?= _LANG ?> &quot;<?= $lang ?>&quot; <?= _SAVED ?></p>
</section>
<br>
<section class="button">
<p class="center"><a href="registration.php" style="text-decoration:none"><span class="white"><?= _CONTINUE ?></span></a></p>
</section>
<br>
</div>
