<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once '../builders/config.php';

$sql = "SELECT * FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$lang = $row['lang']; }}
require_once '../lang/' . $lang . '.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title>Select Language</title>
<link rel="stylesheet" href="style.css" />
</head>
<body>

<br>

<div class="mini-container">

<br>

<section>
<div style="text-align:center">
<h1><?= _SUCCESSFUL ?></h1>

<p class="center" style="line-height:1.6"><?= _FILECLEANUP ?></p>

<br>
</div>
<br>

<section class="button">
<p><a href="../builders/cleanup.php" target="_top" style="text-decoration:none"><span class="white"><?= _CONTINUE ?></span></a></p>
</div>
</section>
