<?php
/**
 * Spectra CMS is software designed to build a website.
 * PHP version 8+
 *
 * @category  OpenSource
 * @package   Spectra CMS
 * @author    Mike Boyles <admin@papamikescreations.org>
 * @copyright 2024 Papa Mike's Creations
 * @license   GNU General Public License <http://www.gnu.org/licenses/>.
 * @link      https://www.papamikescreations.org
 */

require_once '../builders/config.php';

$sql = "SELECT * FROM website";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
require_once '../lang/' . $row['lang'] . '.php'; }} ?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="x-ua-compatible" content="ie=edge">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
<title>Registration</title>
<link rel="stylesheet" href="style.css" />
</head>
<body>

<form action="reghelper.php" method="post" class="noborder">

<br>
<?php $sql = "SELECT allow_registration, registration_block FROM registration";
$result = $conn->query($sql);
if ($result->num_rows > 0) {
while ($row = $result->fetch_assoc()) {
$allow_registration = $row['allow_registration'];
$registration_block = $row['registration_block']; }} ?>

<div class="wrapper" class="spacer">
    
<h3 class="center"><?= _REGSETUPSUCCESS ?></h3>

<br>
<?php if ($allow_registration == 'Yes') {
if ($registration_block == 'Left' || $registration_block == 'Right') {
echo '<p class="center" style="line-height:1.6">' . _REGISACTIVE . '<br>' . _LOGINBLOCKWILLAPPEAR . '' . $registration_block . ' ' . _SIDE . '' . _CHANGEANYTIME . '</p>';}
if ($registration_block == 'Top') {
echo '<p class="center" style="line-height:1.6">' . _REGISACTIVE . '<br>' . _LOGINBLOCKWILLAPPEARTOP . '' . _CHANGEANYTIME . '</p>';}
if ($registration_block == 'No') {
echo '<p class="center" style="line-height:1.6">' . _REGISACTIVE . '<br>' . _LOGINBLOCKWILLNOTAPPEAR . '</p>'; }
} else {
echo '<p class="center style="line-height:1.6"">' . _FORGOTPASSWORD . '</p>';
} ?>
<br>

<br>

<section class="button">
<p class="center"><a href="login-setup.php" style="text-decoration:none"><span class="white"><?= _CONTINUE ?></span></a></p>
</section>

</div>